<?php
header('Content-Type: text/html; charset=ISO-8859-1');
require("../adodb/adodb.inc.php");
require('../Amfphp/Services/conexao.php');
require('../Amfphp/Services/funcoes.php');
require('../PHPMailer_v5.1/class.phpmailer.php');
include ('PagSeguroRetornoFuncoes.php');
if (count($_POST) > 0) {
	$transacaoID = isset($_POST['TransacaoID']) ? $_POST['TransacaoID'] : '';
	$VendedorEmail  = $_POST['VendedorEmail'];
	$TransacaoID = $_POST['TransacaoID'];
	$Referencia = $_POST['Referencia'];
	$Extras = MoedaBR($_POST['Extras']);
	$TipoFrete = $_POST['TipoFrete'];
	$ValorFrete = MoedaBR($_POST['ValorFrete']);
	$DataTransacao = $_POST['DataTransacao'];
	$Anotacao = $_POST['Anotacao'];
	$TipoPagamento = $_POST['TipoPagamento'];
	$StatusTransacao = $_POST['StatusTransacao'];
	$CliNome = $_POST['CliNome'];
	$CliEmail = $_POST['CliEmail'];
	$CliEndereco = $_POST['CliEndereco'];
	$CliNumero = $_POST['CliNumero'];
	$CliComplemento = $_POST['CliComplemento'];
	$CliBairro = $_POST['CliBairro'];
	$CliCidade = $_POST['CliCidade'];
	$CliEstado = $_POST['CliEstado'];
	$CliCEP = $_POST['CliCEP'];
	$CliTelefone = $_POST['CliTelefone'];
	$NumItens = $_POST['NumItens'];
	for($i=1;$i<=$NumItens;$i++) {
		$ProdID = $_POST["ProdID_{$i}"];
		$ProdDescricao = $_POST["ProdDescricao_{$i}"];
		$ProdValor = MoedaBR($_POST["ProdValor_{$i}"]);
		$ProdQuantidade = $_POST["ProdQuantidade_{$i}"];
		$ProdFrete = MoedaBR($_POST["ProdFrete_{$i}"]);
	}
			
	// Iniciando Bloco para integracao com o CSPADM
	$con = new conexao();
	$sql="select financeiro.*, usuario_especie.token from financeiro, usuario_especie where financeiro.idfinanceiro='$ProdID' and financeiro.especie = usuario_especie.especie and financeiro.idrevendedor = usuario_especie.idusuario";
	$resultado 	= $con->banco->Execute($sql);
	$registro 	= $resultado->FetchNextObject();
	$especie 		= $registro->ESPECIE;
	$idcliente		= $registro->IDPROVEDOR;
	$idrevendedor	= $registro->IDREVENDEDOR;
	$idempresa		= $registro->IDEMPRESA;
	$token          = $registro->TOKEN;
	$dt_transacao   = ymd(substr($DataTransacao,0,10));
	
	$sql_transacoes="insert into transacoes (id_transacao, idempresa, idrevendedor, idcliente, especie, data_transacao, data_credito, valor_original, valor_loja, valor_total, desconto, acrescimo, tipo_pagamento, parcelas, status, cod_status, id_pedido, produto_codigo, produto_descricao, produto_qtde, produto_valor, email_vendedor, cliente_nome, cliente_email) values ('$TransacaoID', '$idempresa', '$idrevendedor', '$idcliente', '$especie','$dt_transacao', '$dt_transacao', '$ProdValor', '0.00', '$ProdValor', '0.00', '0.00', '$TipoPagamento', '1', '$StatusTransacao', '0', '$ProdID', '$ProdID', '$ProdDescricao', '$ProdQuantidade', '$ProdValor', '$VendedorEmail', '$CliNome', '$CliEmail')";
	$con->banco->Execute($sql_transacoes);
	
	if ($StatusTransacao == "Completo" || $StatusTransacao == "Aprovado"){ // Transacao Concluida
		$sql_financeiro="update financeiro set situacao='Pago', databaixa='$dt_transacao', valorbaixa='$ProdValor' where idfinanceiro='$ProdID'";
		$con->banco->Execute($sql_financeiro);
		$tmp_descricao = explode("|", $ProdDescricao);
		$qtdemes = $tmp_descricao[0];
		$login = $tmp_descricao[1];
		$sql="select expiredate, renovacoes from csp_user where name='$login' and idempresa='$idempresa'";
		$resultado = $con->banco->Execute($sql);
		$registro = $resultado->FetchNextObject();
		$expireatual=$registro->EXPIREDATE;
		$renovacoes=$registro->RENOVACOES;
		$expireexplode = explode("-", $expireatual);
		$expire_Y=$expireexplode[0];
		$expire_m=$expireexplode[1];
		$expire_d=$expireexplode[2];
		$expireymd="$expire_Y$expire_m$expire_d";
		$ymdatual=date('Ymd');
		if ($expireymd < $ymdatual){
			$diaatual = date('d');
			$mesatual = date('m');
			$anoatual = date('Y');	
		} else {
			$diaatual = $expire_d;
			$mesatual = $expire_m;
			$anoatual = $expire_Y;			
		}
		$novomes=$mesatual + $qtdemes;
		if ($novomes > 12){
			$anoatual++;
			$novomes=$novomes - 12;
		}
		if (($novomes == "02" || $novomes == "2") && $diaatual > "28"){
			$diaatual="28";
		} else {
			if ($diaatual > 30){
				$diaatual="30";	
			}
		}
		$diaatual=CompletaComZeros(2,$diaatual);
		$novomes=CompletaComZeros(2,$novomes);
		$validoate="$anoatual-$novomes-$diaatual";
		$renovacoes .= "Renovado Online de $expireatual para $validoate.";
		$update="update csp_user set enabled='Ativo', situacao='Ativo', expiredate='$validoate', renovacoes='$renovacoes' where idempresa='$idempresa' and name='$login'";
		$con->banco->Execute($update);
		// Setando o cliente como Normal ...
		$sql = "select idplano from plano where idempresa='$idempresa' and idrevendedor='$idrevendedor' and valor > 0 order by idplano ASC limit 1";
		$resultado = $con->banco->Execute($sql);
		$registro = $resultado->FetchNextObject();
		$idplano = $registro->IDPLANO;
		$update="update provedor set clienteteste=0, idplano='$idplano', diavencimento='$diaatual' where idempresa='$idempresa' and idprovedor='$idcliente'";
		$con->banco->Execute($update);
	}
	if ($StatusTransacao == "Cancelado"){ // Transacao Concluida
		$sql_financeiro="update financeiro set situacao='Cancelado' where idfinanceiro='$ProdID'";
		$con->banco->Execute($sql_financeiro);
	}
	
	// Enviando Email
	$rodape = "Este email foi enviado automaticamente pelo sistema CSPADM. Favor nao responder<br>";
	$assunto="Status do Pedido $ProdID - $ProdDescricao";
	$mensagem = <<<EOM
<strong>$CliNome</strong>. <br>
<br><br>
Primeiramente obrigado por utilizar nossos servicos.  Informamos que o Pedido $ProdID ($ProdDescricao), utilizando o $especie <br>
foi registrada em nosso banco de dados. <br>
Informacoes adicionais: <br>
ID Pedido: $ProdID <br>
ID da Transacao: $transacaoID <br>
Data da Transacao: $DataTransacao <br>
Valor: $ProdValor <br>
Tipo de Pagamento: $TipoPagamento <br>
Descricao do Produto: $ProdDescricao<br>
Status: <strong>$StatusTransacao</strong> <br>
<br>
<br>
$rodape
EOM;

	$enviar=enviar_email($idempresa,$idrevendedor,$CliEmail, $assunto, $mensagem);
	
	// Final do envio de email 
} else {
	Header("Location: CompraConcluida.html"); exit();
}


function enviar_email($acesso_idempresa, $acesso_idusuario, $para, $assunto, $mensagem){
	$con = new conexao();
	$sql="select * from usuario where idempresa='$acesso_idempresa' and idusuario='$acesso_idusuario'";
	$resultado = $con->banco->Execute($sql);
	$registro = $resultado->FetchNextObject();
	$smtp_host  = $registro->EMAIL_SERVIDOR;
	$smtp_port  = $registro->EMAIL_PORTA;
	$smtp_email = $registro->EMAIL_CONTA;
	$smtp_senha = $registro->EMAIL_SENHA;
	$smtp_ssl   = $registro->EMAIL_SSL;

	if ($smtp_host == "" || $smtp_port == "" ||  $smtp_email == ""|| $smtp_senha == ""){
		return 0;
	} else {
		$mailer = new PHPMailer();
		$mailer->IsSMTP();
		$mailer->SMTPDebug = 1;
		$mailer->IsHTML(true);
		$mailer->Port = "$smtp_port"; 
		$mailer->Host = "$smtp_host";
		$mailer->SMTPAuth = true; //define se haverá ou não autenticação no SMTP
		if ($smtp_ssl == "Sim"){
			$mailer->SMTPSecure = "ssl";   // Utilizado pelo gmail
		}				
		$mailer->Username = "$smtp_email"; //Informe o e-mai o completo
		$mailer->Password = "$smtp_senha"; //Senha da caixa postal
		$mailer->FromName = $assunto; //Nome que será exibido para o destinatário
		$mailer->From = "$smtp_email"; //Obrigatório ser a mesma caixa postal indicada em "username"
		$mailer->AddAddress($para); //Destinatários
		$mailer->Subject = utf8_decode($assunto);  
		$mailer->Body = $mensagem;
		$mailer->Send();
	}
}


?>
